import { ComponentProps, PropsWithChildren } from 'react';
import { LinkProps } from '../Link';
import { ButtonProps } from '../Button';

export type NavLinkProps = LinkProps;
export declare function NavLink({ className, ...props }: NavLinkProps): import("react/jsx-runtime").JSX.Element;
export declare function NavLinkExternal({ children, ...props }: NavLinkProps): import("react/jsx-runtime").JSX.Element;
export declare function NavBarSection({ className, children, ...props }: ComponentProps<"div">): import("react/jsx-runtime").JSX.Element;
export declare function NavBar({ children }: PropsWithChildren<{}>): import("react/jsx-runtime").JSX.Element;
export declare function NavIconButton({ className, ...props }: ButtonProps): import("react/jsx-runtime").JSX.Element;
